Name:           mtn-browse
Version:        1.00
Release:        2%{?dist}
Summary:        Application for browsing Monotone VCS databases
Group:          Development/Tools
License:        GPLv3+
URL:            http://www.coosoft.plus.com/software.html
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
BuildRequires:  perl(Glib)
BuildRequires:  perl(Gnome2)
BuildRequires:  perl(Gnome2::Canvas)
BuildRequires:  perl(Gnome2::VFS)
BuildRequires:  perl(Gtk2)
BuildRequires:  perl(Gtk2::GladeXML)
# fixme: pack and depend on Gtk2::SourceView2
BuildRequires:  perl(Gtk2::SourceView)
BuildRequires:  perl(Locale::TextDomain)
BuildRequires:  perl(Monotone::AutomateStdio) >= 1.02
BuildRequires:  gettext
BuildRequires:  meld graphviz
Requires:       meld graphviz
BuildArch:      noarch

%description
Monotone browser (mtn-browse) is an application for browsing Monotone
VCS databases without the need for a work space. The interface allows
one to:
* Easily select a revision from within a branch
* Find a revision using complex queries
* Navigate the contents of a revision using a built in file manager
* Display file contents, either using the internal viewer or an
  external helper application
* Compare the changes between different revisions or versions of a
  file either using the internal difference viewer or an external
  application
* Find files within a revision based on detailed search criteria
* Display file annotations and easily refer back to the corresponding
  change documentation
* Save files to disk

%global __provides_exclude_from %{?__provides_exclude_from:%__provides_exclude_from|}%{_datadir}/%{name}/perl
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}perl\\(AdvancedFind\\)
%global __requires_exclude %__requires_exclude|perl\\(Annotate\\)
%global __requires_exclude %__requires_exclude|perl\\(CachingAutomateStdio\\)
%global __requires_exclude %__requires_exclude|perl\\(ChangeLog\\)
%global __requires_exclude %__requires_exclude|perl\\(ComboAutoCompletion\\)
%global __requires_exclude %__requires_exclude|perl\\(Common\\)
%global __requires_exclude %__requires_exclude|perl\\(Completion\\)
%global __requires_exclude %__requires_exclude|perl\\(DateRange\\)
%global __requires_exclude %__requires_exclude|perl\\(FindFiles\\)
%global __requires_exclude %__requires_exclude|perl\\(FindText\\)
%global __requires_exclude %__requires_exclude|perl\\(Globals\\)
%global __requires_exclude %__requires_exclude|perl\\(History\\)
%global __requires_exclude %__requires_exclude|perl\\(HistoryGraph\\)
%global __requires_exclude %__requires_exclude|perl\\(LocaleEnableUtf8\\)
%global __requires_exclude %__requires_exclude|perl\\(ManageServerBookmarks\\)
%global __requires_exclude %__requires_exclude|perl\\(ManageTagWeightings\\)
%global __requires_exclude %__requires_exclude|perl\\(MultipleRevisions\\)
%global __requires_exclude %__requires_exclude|perl\\(Preferences\\)
%global __requires_exclude %__requires_exclude|perl\\(WindowManager\\)


%prep
%setup -q


%build
# empty


%install
./linux-installer \
  --destdir=%{buildroot} \
  --prefix=%{_prefix} \
  --file-comparison=meld \
  --no-use-dists-mas \
  --libdir=share/%{name}
%find_lang %{name} --with-gnome


%files -f %{name}.lang
%doc COPYING NEWS README
%{_bindir}/%{name}
%{_datadir}/%{name}


%changelog
* Fri Oct 19 2012 Thomas Moschny <thomas.moschny@gmx.de> - 1.00-2
- Fix typo.
- Remove wrong comment.

* Thu Oct 18 2012 Thomas Moschny <thomas.moschny@gmx.de> - 1.00-1
- Update to 1.00.
- Update requirements.
- Directly call the linux-installer.
- Remove %%clean section, BuildRoot tag and %%defattr directive.
- Use RPM-4.9-style filtering.

* Sat Mar 12 2011 Thomas Moschny <thomas.moschny@gmx.de> - 0.72-1
- New package.
